From aa86d894591acf6365644cb0b5c397a407e5b483 Mon Sep 17 00:00:00 2001
From: Louis Abel <label@rockylinux.org>
Date: Thu, 8 Aug 2024 23:26:05 -0700
Subject: [PATCH] update-comps should be checking for distro usage

---
 scripts/update-comps | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/scripts/update-comps b/scripts/update-comps
index d5be273..e46e58e 100755
--- a/scripts/update-comps
+++ b/scripts/update-comps
@@ -3,9 +3,9 @@
 COMPSFILE=$1
 DISTRO=$2
 
-if [ -z "$COMPSFILE" ]; then
-    echo "Usage: $0 <compsfile>"
-    exit 1
+if [ -z "$COMPSFILE" ] || [ -z "$DISTRO" ]; then
+  echo "Usage: $0 <compsfile> <distro>"
+  exit 1
 fi
 
 LANG=C intltool-merge -x -u po/ $COMPSFILE.in $COMPSFILE
-- 
GitLab